de.esprit.netsuite.netdata

## Interface CrossPlatformObject<C extends ClientContext,S extends ServerContext>

- All Superinterfaces:
    ClientObject<C>, java.lang.Cloneable, DeepCloneable, Dumpable, java.io.Serializable, ServerObject<S>
  All Known Subinterfaces:
    Agent<C,S>, AliveBusinessObject<C,S,A>, AsyncAgent<C,S>, LoginAgent<C,S>
  All Known Implementing Classes:
    ABOAccessInfoAgent, ABOCreateAgent, ABODeleteAgent, ABODropAgent, ABOFetchAgent, ABOFindAgent, ABOInfoAgent, ABOUpdateAgent, AbstractABO, AbstractAgent, AbstractCommonAgent, AbstractCrossPlatformObject, AbstractDBAgent, AbstractDBRecordABO, AbstractGroupChangeAgent, AbstractInternalAgent, AbstractLoadMeterABO, AbstractLockableAgent, AbstractLoginAgent, AbstractPersistentABO, AbstractSequencedAgent, AbstractSessionChangeAgent, AbstractSingletonABO, AbstractTestAgent, AbstractTextViewAgent, AbstractUserChangeAgent, AccessibleServerObject, AssignPermissionsAgent, BatchTaskConfigListAgent, BatchTaskConfigSaveAgent, CancelBatchProcessAgent, ChangePasswordAgent, ChatMessageAgent, ClientCommandAgent, ClientInfoUpdateAgent, ClientMessageAgent, ClientMeterABO, CoClientConnectionListAgent, CoServerConnectionABO, CoServerConnectionListAgent, CoServerExecuteAgent, CoServerFileTransferAgent, CoServerFileTransferCancelAgent, CoServerInfoAgent, CpuLoadConfigAgent, DataSourceListAgent, DBDeleteAgent, DBInsertAgent, DBLoadAgent, DBRehashAgent, DBSelectAgent, DBStoreAgent, DBUpdateAgent, DefaultLoginAgent, DefaultPasswordConfigAgent, DeleteDirectoryAgent, DeleteFileAgent, EmailConfigAgent, EventMessageTypeInfoAgent, EventMessageTypeRegisterAgent, EverBlockingSyncAgent, EverSleepingAsyncAgent, EverWorkingAsyncAgent, ExFileSetTransferAgent, ExFileTransferAgent, ExMixedFileTransferAgent, ExStreamDownloadAgent, FailingAgent, FileEditAgent, FileInfoAgent, FileListAgent, FileReadAgent, FileStoreAgent, FileStreamDownloadAgent, FileTransferAgent, GenerateLogMessagesAgent, GetAssignedPermissionsAgent, GetGroupsAgent, GetGroupsOfUserAgent, GetPathFilterAgent, GetPermissionDefinitionsAgent, GetRootPathInfoAgent, GetRunningRemoteTasksAgent, GetSessionsAgent, GetUserIdsAgent, GetUsersAgent, GetUsersOfGroupAgent, GroupCreateAgent, GroupDeleteAgent, GroupUpdateAgent, HeavyLoadAgent, HeavyLoggingAgent, JournalTaskDeregisterAgent, JournalTaskListAgent, LoadChildrenAgent, LoadTextFileSequencedAgent, LockAcquireAgent, LockDataSourcePoolAgent, LockFindAgent, LockInfoAgent, LockReleaseAgent, LockRetriggerAgent, LogConfigAgent, LogDirListAgent, LogFileListAgent, MemoryEatingAgent, MessageBurstAgent, MessageBurstSequencedAgent, MessageMeterABO, NewLogFileAgent, NoOperationAgent, NoReturnAsyncAgent, PartialResultAsyncAgent, PartialResultSplitAgent, PartialResultSyncAgent, ProbeDataSourceAgent, ProcessConfigReadAgent, ProcessStartAgent, PurgeDirectoryAgent, ReadLogFileAgent, RegisterForProgressEventsAgent, RemoteTaskCancelAgent, RemoteTaskProgessSwitchAgent, RemoteTaskReleaseAgent, RemoteTaskRunStateFlagAgent, RemoteTasksInfoAgent, RemoteTaskStartAgent, RenamePathAgent, RequestMeterABO, ResetPasswordAgent, ResetPathWatcherAgent, RoundTripAgent, SelectDataSourceAgent, SendServerMessageAgent, SequencedParamAgent, ServerActivityInfoAgent, ServerLogMessageAgent, ServerLogTestAgent, ServerMemoryCleanupAgent, ServerParamsInfoAgent, ServerShutdownAgent, ServerStartupInfoAgent, ServerStatisticABO, ServerStatisticsInfoAgent, ServerStatisticsRefreshAgent, SessionInfoAgent, SessionKillAgent, SessionResetAgent, SetClientLogLevelAgent, SetGroupMembersAgent, SetPathFilterAgent, SimpleTrackABO, TankABO, TaskMeterABO, TestServerExceptionAgent, ThreadPoolInfoAgent, TimeCompareAgent, TransfersRunningListAgent, UserCreateAgent, UserDeleteAgent, UserUpdateAgent

      public interface CrossPlatformObject<C extends ClientContext,S extends ServerContext>
      extends ClientObject<C>, ServerObject<S>, java.io.Serializable, Dumpable, DeepCloneable

  This interface defines methods for objects that can live in both client and server environments
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isOnClient()` Tells whether this object is currently alive on the client.
    `boolean` | `isOnServer()` Tells whether this object is currently alive on the server.
    `void` | `setClientContext(C clientCtx)` Sets the client runtime environment
    `void` | `setServerContext(S serverCtx)` Sets the server runtime environment

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.type.DeepCloneable

      `deepClone`

- - ### Method Detail

    - #### setServerContext

          void setServerContext(S serverCtx)

      Sets the server runtime environment
      See Also:
        `ServerObject.getServerContext()`

    - #### setClientContext

          void setClientContext(C clientCtx)

      Sets the client runtime environment
      See Also:
        `ClientObject.getClientContext()`

    - #### isOnServer

          boolean isOnServer()

      Tells whether this object is currently alive on the server.
      See Also:
        `ServerObject.getServerContext()`

    - #### isOnClient

          boolean isOnClient()

      Tells whether this object is currently alive on the client.
      See Also:
        `ClientObject.getClientContext()`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.